// = require jquery
// = require jquery_ujs

var Editor = function () {
    var editor = {
        contents: {},
        update: function (name) {
            jQuery('#geri-editor-save').removeClass('disabled');
            jQuery('#geri-editor-revert').removeClass('disabled');
            GERI_EDITOR.contents[name] = jQuery('#' + name).html();
            GERI_EDITOR.changed = true
        },
        reset: function () {
            location.reload()
        },
        changed: false
    };
    jQuery('.editable').each(function () {
        elem = jQuery(this);
        editor.contents[elem.attr('id')] = elem.html();
        elem.addClass('highlight')
    });

    jQuery('a').not('.editor-link').click(function (event) {
        if (GERI_EDITOR.changed) {
            var confirmation = confirm('You have not saved your changes, are you sure you want to navigate away from this page?');
            if (!confirmation) {
                event.preventDefault();
            }
        }
    });

    jQuery('#geri-editor-save').click(function (event) {
        event.preventDefault();
        jQuery.post('/admin/editor', {contents: GERI_EDITOR.contents}, function(){
            GERI_EDITOR.reset()
        })
    });

    jQuery('#geri-editor-revert').click(function (event) {
        event.preventDefault();
        var confirmation = confirm('Are you sure you wish to revert your changes?');
        if (confirmation) {
            GERI_EDITOR.reset()
        }
    });
    return editor
};

jQuery(function () {
    jQuery.get('admin/editor.html', function (data) {
        jQuery('body').prepend(data)
        window.GERI_EDITOR = new Editor
    });

});