require_dependency "geri/application_controller"

module Geri
  class Admin::EditorController < ApplicationController
    include Geri::PagesHelper
    skip_before_action :verify_authenticity_token, only: [:update_contents]


    def index
      redirect_to '/'
    end

    def template
      render 'template', layout: false
    end

    def update_contents
      content_params.each do |name, content|
        Content.find_or_initialize_by(name: name).tap do |c|
          c.body = geri_sanitize(content)
        end.save!
      end
      render json: {sucess: true}
    end

    private

    def content_params
      params.require(:contents)
    end

  end
end
