module Geri
  class Admin::SessionsController < AdminController
    skip_before_filter :require_login

    def new
      @session = Session.new
    end

    def create
      @session = Session.new(params[:session])
      unless login(@session.email, @session.password)
        flash[:danger] = t('admin.sessions.login_required', default: 'The email/password combination was invalid')
        return render :new
      end
      redirect_to admin_root_url
    end

    def destroy
      logout
      redirect_to root_url
    end

  end
end
