module Geri
  class PagesController < ApplicationController
    before_action :set_view_path
    helper_method :current_site

    def show
      page      = Page.find(params[:path], current_site, lookup_context)
      @metadata = page.metadata
      render inline: page.content, layout: 'layout.html.erb'
    end

    private

    def current_site
      Geri::Config.sites[request.host] || Geri::Config.sites[:default]
    end


    def _normalize_layout(name)
      name
    end

    def site_root
      current_site.root
    end

    def set_view_path
      prepend_view_path(Rails.root.join('app', 'site').to_s)
      prepend_view_path(site_root.to_s) # base path
      if params[:path]
        parts = params[:path].split('/')
        parts.each_index do |index|
          if index == 0
            prepend_view_path(site_root.join(parts[index]).to_s)
          else
            prepend_view_path(site_root.join(*parts[0..index]).to_s)
          end
        end
      end
    end

  end

end