module Geri
  module ApplicationHelper

    def flash_alert
      type = flash_type
      if type
        content_tag(:div, flash[type], class: "alert alert-#{type}")
      end
    end

    def current_page
      'index' unless params[:path]
    end

    private

    def flash_type
      return :warning if flash[:warning]
      return :success if flash[:success]
      return :danger  if flash[:danger]
      return :info    if flash[:info]
      false
    end

  end
end
