require 'email_validator'
module Geri
  class AdminUser < ActiveRecord::Base
    authenticates_with_sorcery!

    attr_accessor :validate_password

    validates :email,      presence: true, uniqueness: true, email: true
    validates :password,   presence: { if: :validate_password }, confirmation: true, length: { within: (5..20), allow_blank: true }
    validates :first_name, presence: true
    validates :last_name,  presence: true

  end
end
