module Geri
  module CLI
    class Extension < Thor
      include Thor::Actions
      include Rails::Generators::Actions

      desc 'install NAME', 'Install the named Geri extension'
      def install(name)
        extname = 'geri'
        extname << "_#{name}" unless name == 'geri'
        script = %Q{bundle exec rails runner -c 'puts Gem::Specification.find_by_name("#{extname}").gem_dir'}
        gemdir = run script, capture: true, verbose: false
        load("#{gemdir.strip}/installer.rb")
        "#{extname.gsub('_', '/').classify}::Installer".constantize.start(name)
      end
    end
  end
end