require_relative './config'

module Geri
  class Engine < ::Rails::Engine
    isolate_namespace Geri

    initializer :append_migrations do |app|
      unless app.root.to_s.match root.to_s
        app.config.paths['db/migrate'] << config.paths['db/migrate'].expanded[0]
      end
    end

    config.i18n.default_locale = :en

    config.generators do |g|
      g.test_framework :rspec
    end

    initializer :update_asset_paths do |app|
      config.assets.paths << app.root.join('app', 'site', 'assets', 'javascripts')
      config.assets.paths << app.root.join('app', 'site', 'assets', 'vendor')
      config.assets.paths << app.root.join('app', 'site', 'assets', 'stylesheets')
      config.assets.paths << app.root.join('app', 'site', 'assets', 'images')
      config.assets.paths << app.root.join('app', 'assets', 'vendor')
    end

    initializer :update_assets do
      config.assets.precompile += %w{ site.js site.css geri/admin.js geri/admin.css ckeditor/ckeditor.js } +
        %w{ geri/admin/editor.css geri/admin/editor.js }
    end

    initializer :add_all_site_images_to_assets do
      Dir.glob(Rails.root.join('app', 'site', 'assets', 'images', '**').to_s).each do |asset|
        config.assets.precompile << File.basename(asset)
      end
    end

  end

end
