module Geri
  module Tasks
    class CreateAdminUser < Thor::Group
      include Thor::Actions

      def ask_admin_email
        say('Create a new Admin User')
        @email = ask('Email:')
      end

      def ask_admin_first_name
        @first_name = ask('First Name:')
      end

      def ask_admin_last_name
        @last_name = ask('Last Name:')
      end

      def ask_admin_password
        @password = ask('Password:', echo: false)
      end

      def confirm_admin_password
        @confirmation = ask("\nPassword Confirmation:", echo: false)
      end

      def create_admin_user
        AdminUser.create!(
          validate_password:     true,
          email:                 @email,
          password:              @password,
          password_confirmation: @confirmation,
          first_name:            @first_name,
          last_name:             @last_name)
        say("\nCreated admin with email '#{@email}'")
      end

    end
  end
end